# Form implementation generated from reading ui file 'src/eric7/Plugins/VcsPlugins/vcsGit/ConfigurationPage/GitPage.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_GitPage(object):
    def setupUi(self, GitPage):
        GitPage.setObjectName("GitPage")
        GitPage.resize(609, 751)
        GitPage.setToolTip("")
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(GitPage)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.headerLabel = QtWidgets.QLabel(parent=GitPage)
        self.headerLabel.setObjectName("headerLabel")
        self.verticalLayout_2.addWidget(self.headerLabel)
        self.line15 = QtWidgets.QFrame(parent=GitPage)
        self.line15.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line15.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line15.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line15.setObjectName("line15")
        self.verticalLayout_2.addWidget(self.line15)
        self.groupBox = QtWidgets.QGroupBox(parent=GitPage)
        self.groupBox.setObjectName("groupBox")
        self.gridLayout = QtWidgets.QGridLayout(self.groupBox)
        self.gridLayout.setObjectName("gridLayout")
        self.label = QtWidgets.QLabel(parent=self.groupBox)
        self.label.setObjectName("label")
        self.gridLayout.addWidget(self.label, 0, 0, 1, 1)
        self.logSpinBox = QtWidgets.QSpinBox(parent=self.groupBox)
        self.logSpinBox.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight|QtCore.Qt.AlignmentFlag.AlignTrailing|QtCore.Qt.AlignmentFlag.AlignVCenter)
        self.logSpinBox.setMaximum(999999)
        self.logSpinBox.setSingleStep(5)
        self.logSpinBox.setObjectName("logSpinBox")
        self.gridLayout.addWidget(self.logSpinBox, 0, 1, 1, 1)
        spacerItem = QtWidgets.QSpacerItem(41, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridLayout.addItem(spacerItem, 0, 2, 1, 1)
        self.label_7 = QtWidgets.QLabel(parent=self.groupBox)
        self.label_7.setObjectName("label_7")
        self.gridLayout.addWidget(self.label_7, 1, 0, 1, 1)
        self.logWidthSpinBox = QtWidgets.QSpinBox(parent=self.groupBox)
        self.logWidthSpinBox.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight|QtCore.Qt.AlignmentFlag.AlignTrailing|QtCore.Qt.AlignmentFlag.AlignVCenter)
        self.logWidthSpinBox.setSingleStep(5)
        self.logWidthSpinBox.setObjectName("logWidthSpinBox")
        self.gridLayout.addWidget(self.logWidthSpinBox, 1, 1, 1, 1)
        self.findHarderCheckBox = QtWidgets.QCheckBox(parent=self.groupBox)
        self.findHarderCheckBox.setObjectName("findHarderCheckBox")
        self.gridLayout.addWidget(self.findHarderCheckBox, 2, 0, 1, 3)
        self.verticalLayout_2.addWidget(self.groupBox)
        self.groupBox_2 = QtWidgets.QGroupBox(parent=GitPage)
        self.groupBox_2.setObjectName("groupBox_2")
        self.gridLayout_2 = QtWidgets.QGridLayout(self.groupBox_2)
        self.gridLayout_2.setObjectName("gridLayout_2")
        self.commitIdSpinBox = QtWidgets.QSpinBox(parent=self.groupBox_2)
        self.commitIdSpinBox.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight|QtCore.Qt.AlignmentFlag.AlignTrailing|QtCore.Qt.AlignmentFlag.AlignVCenter)
        self.commitIdSpinBox.setMinimum(1)
        self.commitIdSpinBox.setMaximum(40)
        self.commitIdSpinBox.setObjectName("commitIdSpinBox")
        self.gridLayout_2.addWidget(self.commitIdSpinBox, 0, 1, 1, 1)
        spacerItem1 = QtWidgets.QSpacerItem(269, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridLayout_2.addItem(spacerItem1, 0, 2, 1, 1)
        self.label_4 = QtWidgets.QLabel(parent=self.groupBox_2)
        self.label_4.setObjectName("label_4")
        self.gridLayout_2.addWidget(self.label_4, 0, 0, 1, 1)
        self.verticalLayout_2.addWidget(self.groupBox_2)
        self.groupBox_5 = QtWidgets.QGroupBox(parent=GitPage)
        self.groupBox_5.setObjectName("groupBox_5")
        self.horizontalLayout = QtWidgets.QHBoxLayout(self.groupBox_5)
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.label_3 = QtWidgets.QLabel(parent=self.groupBox_5)
        self.label_3.setObjectName("label_3")
        self.horizontalLayout.addWidget(self.label_3)
        self.cleanupPatternEdit = QtWidgets.QLineEdit(parent=self.groupBox_5)
        self.cleanupPatternEdit.setObjectName("cleanupPatternEdit")
        self.horizontalLayout.addWidget(self.cleanupPatternEdit)
        self.verticalLayout_2.addWidget(self.groupBox_5)
        self.groupBox_3 = QtWidgets.QGroupBox(parent=GitPage)
        self.groupBox_3.setObjectName("groupBox_3")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.groupBox_3)
        self.verticalLayout.setObjectName("verticalLayout")
        self.aggressiveCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_3)
        self.aggressiveCheckBox.setObjectName("aggressiveCheckBox")
        self.verticalLayout.addWidget(self.aggressiveCheckBox)
        self.verticalLayout_2.addWidget(self.groupBox_3)
        self.configButton = QtWidgets.QPushButton(parent=GitPage)
        self.configButton.setObjectName("configButton")
        self.verticalLayout_2.addWidget(self.configButton)
        spacerItem2 = QtWidgets.QSpacerItem(388, 21, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout_2.addItem(spacerItem2)

        self.retranslateUi(GitPage)
        QtCore.QMetaObject.connectSlotsByName(GitPage)
        GitPage.setTabOrder(self.logSpinBox, self.logWidthSpinBox)
        GitPage.setTabOrder(self.logWidthSpinBox, self.findHarderCheckBox)
        GitPage.setTabOrder(self.findHarderCheckBox, self.commitIdSpinBox)
        GitPage.setTabOrder(self.commitIdSpinBox, self.cleanupPatternEdit)
        GitPage.setTabOrder(self.cleanupPatternEdit, self.aggressiveCheckBox)
        GitPage.setTabOrder(self.aggressiveCheckBox, self.configButton)

    def retranslateUi(self, GitPage):
        _translate = QtCore.QCoreApplication.translate
        self.headerLabel.setText(_translate("GitPage", "<b>Configure Git Interface</b>"))
        self.groupBox.setTitle(_translate("GitPage", "Log"))
        self.label.setText(_translate("GitPage", "No. of log messages shown:"))
        self.logSpinBox.setToolTip(_translate("GitPage", "Enter the number of log messages to be shown"))
        self.label_7.setText(_translate("GitPage", "No. of subject characters shown in list:"))
        self.logWidthSpinBox.setToolTip(_translate("GitPage", "Enter the number of characters of the commit subject to be shown in the list"))
        self.logWidthSpinBox.setSpecialValueText(_translate("GitPage", "All"))
        self.findHarderCheckBox.setToolTip(_translate("GitPage", "Select to perform expensive copy detection"))
        self.findHarderCheckBox.setText(_translate("GitPage", "Find copies harder"))
        self.groupBox_2.setTitle(_translate("GitPage", "Commit"))
        self.commitIdSpinBox.setToolTip(_translate("GitPage", "Enter the number of character to show for the commit ID"))
        self.label_4.setText(_translate("GitPage", "Commit ID length:"))
        self.groupBox_5.setTitle(_translate("GitPage", "Cleanup"))
        self.label_3.setText(_translate("GitPage", "Pattern:"))
        self.cleanupPatternEdit.setToolTip(_translate("GitPage", "Enter the file name patterns to be used for cleaning up (entries separated by a space character)"))
        self.groupBox_3.setTitle(_translate("GitPage", "Repository Optimization"))
        self.aggressiveCheckBox.setToolTip(_translate("GitPage", "Select this to use the \'--aggressive\' option for garbage collection"))
        self.aggressiveCheckBox.setText(_translate("GitPage", "Perform aggressive repository optimization"))
        self.configButton.setToolTip(_translate("GitPage", "Edit the Git configuration file"))
        self.configButton.setText(_translate("GitPage", "Edit configuration file"))
